/* Configure file locations in this include file. */

/**
 * Copyright (c) 1993 Richard V. Nash.
 * Copyright (c) 2000 Dan Papasian.  All rights reserved.
 *
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */


#ifndef _CONFIG_H
#define _CONFIG_H

/* CONFIGURE THIS: The port on which the server binds */

#define DEFAULT_PORT 5000

/* Which is the default language for help files, see variable.h for the
    current available settings */

#define LANG_DEFAULT      LANG_ENGLISH


/* CONFIGURE THESE: Locations of the data, players, and games directories */
/* These must be absolute paths because some mail daemons may be called */
/* from outside the pwd */

#define MAX_ADVERTS 24
/* These small files are printed when users log in
   They can be used for advertisements or to promote server features
   MAX_ADVERTS = the number of adverts you have
   They should be put in the DEFAULT_ADVERTS directory
   and be labelled with the numbers 0 - MAX_ADVERTS-1 inclusive
   Eg if MAX_ADVERTS is 3 then the files are 0,1,2

   If you do not want to use the adverts feature set it to -1
*/

/* define the directory that will be the root directory of FICS */
#define FICSROOT "./"

#define CONFIG_DB         FICSROOT "config.tdb"
#define LIB_DIR           FICSROOT "lib"
#define ADVERT_DIR        FICSROOT "data/adverts"
#define MESS_DIR          FICSROOT "data/messages"
#define INDEX_DIR         FICSROOT "data/index"
#define HELP_DIR          FICSROOT "data/help"
#define COMHELP_DIR       FICSROOT "data/com_help"
#define HELP_SPANISH      FICSROOT "data/Spanish"
#define HELP_FRENCH       FICSROOT "data/French"
#define HELP_DANISH       FICSROOT "data/Danish"
#define INFO_DIR          FICSROOT "data/info"
#define ADHELP_DIR        FICSROOT "data/admin"
#define USCF_DIR          FICSROOT "data/uscf"
#define STATS_DIR         FICSROOT "data/stats"
#define SPOOL_DIR         FICSROOT "spool/mail.XXXXXX"
#define PLAYER_DIR        FICSROOT "players"
#define ADJOURNED_DIR     FICSROOT "games/adjourned"
#define HISTORY_DIR       FICSROOT "games/history"
#define JOURNAL_DIR       FICSROOT "games/journal"
#define BOARD_DIR         FICSROOT "data/boards"
#define LISTS_DIR         FICSROOT "data/lists"
#define BOOK_DIR          FICSROOT "data/book"
#define MESS_FULL         FICSROOT "data/messages/full"
#define MESS_FULL_UNREG   FICSROOT "data/messages/full_unreg"
#define USAGE_DIR         FICSROOT "data/usage"
#define USAGE_SPANISH     FICSROOT "data/usage_spanish"
#define USAGE_FRENCH      FICSROOT "data/usage_french"
#define USAGE_DANISH      FICSROOT "data/usage_danish"

#endif /* _CONFIG_H */
